.TH CROSSBAR 1 2022-03-13
.SH NAME
crossbar \- microservices router
.SH SYNOPSIS
usage: crossbar [\-h] [\-\-debug\-lifecycle] [\-\-debug\-programflow]
.I command
.SH DESCRIPTION
Crossbar.io is a multi\-protocol (WAMP/WebSocket, REST/HTTP, MQTT) application router for microservices.
.SS "commands:"
.TP
init
Initialize a new Crossbar.io node.
.TP
start
Start a Crossbar.io node.
.TP
stop
Stop a Crossbar.io node.
.TP
status
Checks whether a Crossbar.io node is running.
.TP
check
Check a Crossbar.io node`s local configuration file.
.TP
convert
Convert a Crossbar.io node`s local configuration file
from JSON to YAML or vice versa.
.TP
upgrade
Upgrade a Crossbar.io node`s local configuration file
to current configuration file format.
.TP
keygen
Generate public/private keypairs for use with
autobahn.wamp.cryptobox.KeyRing
.TP
keys
Print Crossbar.io release and node key (public key
part by default).
.TP
version
Print software versions.
.TP
legal
Print legal and licensing information.
.TP
_exec_worker
Program internal use.
.SH OPTIONS
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-\-debug\-lifecycle\fR
This debug flag enables overall program lifecycle
messages directly to terminal.
.TP
\fB\-\-debug\-programflow\fR
This debug flag enables program flow log messages with
fully qualified class/method names.
